Skip to main content
POST
Create/Update Platform Integration

Authorizations

Authorization
string
header
required

Company API Key

Path Parameters

agent_id
string
required

The ID of the agent

Body

application/json

Platform integration details

platform
enum<string>
required

Platform name

Available options:
sms,
email,
webchat,
facebook,
instagram,
whatsapp,
phone
Example:

"sms"

id
string

Integration ID (optional: posting a platform the agent already has updates it)

active
boolean

true switches the channel on, false switches it off. Defaults to true for a new integration

Example:

true

trigger
string

Trigger event. Send an empty string for sms and email

Example:

""

min_delay
number

Minimum delay in seconds before replying

Example:

30

max_delay
number

Maximum delay in seconds before replying

Example:

180

Response

Integration created/updated successfully

id
string

The integration's ID

active
boolean